Subject: Re: bug#11717: 24.1.50; Segmentation fault in Fdelete_other_windows_internal when running Gnus unit tests

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Jun 2012 21:29:49 +0300

> From: David Engster <[email-masked]>
> Date: Fri, 15 Jun 2012 20:11:36 +0200
> 
> The recipe to reproduce this bug involves running the Gnus unit tests
> from its git repository. I can narrow it down further if needed, but I'm
> hoping that the backtraces are enough to fix this problem. Please note
> that this problem also affects the current 24.1 stable release, but I
> used latest Emacs from bzr for acquiring the gdb backtraces.
> 
> Recipe:
> 
> * Get Gnus from git:  git clone http://git.gnus.org/gnus.git
> 
> * Do:  ./configure, make, make check
> 
> * You'll see something like the following (the tests run completely in
>   batch mode!):
> 
> ---------- snip
> ***** Using /tmp/gnus-test-22112bP3 as temporary Gnus home.
> ***** Firing up Gnus; connecting to Gmane.
> [... further output snipped ...]
> ***** Reading active from gmane.discuss.
> Changed level of gmane.discuss from 3 to 1
> Fatal error (11)zsh: segmentation fault  /opt/emacs-debug/bin/emacs -batch -q -no-site-file -l ./dgnushack.el -l ert -
> ---------- snip
> 
> * The unit test where this is crashing is the NNTP test, which can be
>   seen in lisp/tests/gnustest-nntp.el. You can browse it here:
> 
>   http://git.gnus.org/cgit/gnus.git/tree/lisp/tests/gnustest-nntp.el?id=aff68f906d8726a6a29edad4a20f253f8bcdf644
> 
>   The crash happens when this test code calls
> 
>    (gnus-group-select-group 5)
> 
> 
> Further information:
> 
> * Emacs was built using gcc 4.7 and the following options:
> 
> CFLAGS="-g -O0" ./configure --enable-asserts --without-gconf --without-gsettings --without-dbus --prefix=/opt/emacs-debug
> 
> * Backtraces from gdb:
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x080b9d2e in Fdelete_other_windows_internal (window=139160437, root=139572509) at window.c:2650
> 2650      hlinfo = MOUSE_HL_INFO (f);
> 
> #0  0x080b9d2e in Fdelete_other_windows_internal (window=139160437, root=139572509) at window.c:2650

This is a duplicate of 11677.  I asked there to find out which parts
of MOUSE_HL_INFO cause the segfault, and also perhaps provide a
simpler test case.  Can you do that?

TIA